"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.imageSize = imageSize;

var _imageSize = require("image-size");

function imageSize(buffer, scale) {
  const size = (0, _imageSize.imageSize)(buffer);

  if (scale !== 1) {
    return {
      width: size.width / scale,
      height: size.height / scale
    };
  } else {
    return size;
  }
}
//# sourceMappingURL=ImageSizeResolver.js.map