"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AdaptiveImage = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class AdaptiveImage {
  constructor(data) {
    _defineProperty(this, "data", void 0);

    this.data = data;
  }

  get uri() {
    return this.data.uri;
  }

  get width() {
    return this.data.width;
  }

  get height() {
    return this.data.height;
  }

  get sources() {
    return this.data.sources;
  }

  toString() {
    return this.uri;
  }

}

exports.AdaptiveImage = AdaptiveImage;
//# sourceMappingURL=AdaptiveImage.js.map